# Get Workspaces

> Source: https://truto.one/docs/api-reference/unified-user-directory-api/workspaces/get/

`GET /unified/user-directory/workspaces/{id}`

Resource: **Workspaces** · API: **Unified User Directory API**

## Supported integrations

Adyen, Aha, Anthropic, Avalara AvaTax, Bitbucket, Cisco Meraki, Contentful Content Management, dbt Labs, Discord, Freshservice, Google CloudSQL, GitLab, Google Ads, Google Cloud, Hashicorp Terraform Cloud, Illow, MongoDB Atlas Admin, Pivotal Tracker, Podio, Power BI, Render, Sigma Computing, Teamwork Project Management, Teamwork Spaces, Vercel, Webflow, WordPress, Workiva, Zesty.io, Zoho BugTracker, Zoho Projects

## Path parameters

- **`id`** _(string, required)_
  The ID of the resource.

## Query parameters

- **`integrated_account_id`** _(string, required)_
  The ID of the integrated account to use for the request.
- **`truto_response_format`** _(string)_
  The format of the response. - `unified` returns the response with unified mappings applied. - `raw` returns the unprocessed, raw response from the remote API. - `normalized` applies the unified mappings and returns the data in a normalized format. - `stream` returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory. Defaults to `unified`.
  Allowed: `unified`, `raw`, `normalized`, `stream`
- **`truto_ignore_remote_data`** _(boolean)_
  Excludes the `remote_data` attribute from the response.
- **`truto_exclude_fields`** _(array<string>)_
  Array of fields to exclude from the response.
- **`remote_query`** _(object)_
  Query parameters to pass to the underlying API without any transformations. Refer [this guide](https://truto.one/docs/api-reference/overview/querying#remote-query-parameters) to see how to structure the query parameters.
- **`organization_id`** _(unknown)_

## Response body

- **`id`** _(string, required)_
  Unique identifier for the workspace.
- **`name`** _(string)_
  Name of the workspace.
- **`description`** _(string)_
  Description for the workspace.
- **`status`** _(string)_
  Status for the workspace
  Allowed: `active`, `inactive`
- **`created_at`** _(string)_
  Date and time when the workspace was created.
- **`updated_at`** _(string)_
  Date and time when the workspace was last updated.
- **`organization`** _(object)_
  organization associated with the workspace
  - **`id`** _(string)_
    The unique identifier for an organization
  - **`name`** _(string)_
    The name of the organization
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Code examples

### curl

```bash
curl -X GET 'https://api.truto.one/unified/user-directory/workspaces/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/user-directory/workspaces/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/unified/user-directory/workspaces/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
```

### Truto TS SDK

```typescript
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'user-directory',
  'workspaces',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
```

### Truto Python SDK

```python
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "user-directory",
        "workspaces",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())
```
